LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XUIObject Interface Reference

`import"XUIObject.idl";`

## Public Member Functions
XUIObject | getChild ([in] string id)
void | executeAction ([in] string action, [in] com::sun::star::beans::PropertyValues propValues)
com::sun::star::beans::PropertyValues | getState ()
string | getType ()
sequence< string > | getChildren ()
string | getHierarchy ()
boolean | equals ([in] XUIObject other)
| Return true if the other XUIObject represents the same underlying vcl widget. More...

## Member Function Documentation

## ◆ equals()

boolean equals | ( | [in] XUIObject | other | ) |

Return true if the other XUIObject represents the same underlying vcl widget.

This is necessary because we return a new XUIObject every time we call getChild.

## ◆ executeAction()

void executeAction | ( | [in] string | action,
|  | [in] com::sun::star::beans::PropertyValues | propValues
| ) |  |

## ◆ getChild()

XUIObject getChild | ( | [in] string | id | ) |

## ◆ getChildren()

sequence< string > getChildren | ( |  | ) |

## ◆ getHierarchy()

string getHierarchy | ( |  | ) |

## ◆ getState()

com::sun::star::beans::PropertyValues getState | ( |  | ) |

## ◆ getType()

string getType | ( |  | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/ui/test/XUIObject.idl